package domain


type AlibabaWdkElemeBillGetOrderDetailFee struct {
    /*
        众包呼单费     */
    ZhongbaoCallFee  *string `json:"zhongbao_call_fee,omitempty" `

    /*
        冷链加工费     */
    ColdBoxFee  *string `json:"cold_box_fee,omitempty" `

    /*
        用户实付     */
    UserFee  *string `json:"user_fee,omitempty" `

    /*
        实收佣金     */
    Commission  *string `json:"commission,omitempty" `

    /*
        代理商补贴     */
    AgentRate  *string `json:"agent_rate,omitempty" `

    /*
        平台补贴     */
    PlatformRate  *string `json:"platform_rate,omitempty" `

    /*
        商户补贴     */
    ShopRate  *string `json:"shop_rate,omitempty" `

    /*
        配送费     */
    SendFee  *string `json:"send_fee,omitempty" `

    /*
        餐盒费     */
    PackageFee  *string `json:"package_fee,omitempty" `

    /*
        商品金额     */
    ProductFee  *string `json:"product_fee,omitempty" `

}

func (s *AlibabaWdkElemeBillGetOrderDetailFee) SetZhongbaoCallFee(v string) *AlibabaWdkElemeBillGetOrderDetailFee {
    s.ZhongbaoCallFee = &v
    return s
}
func (s *AlibabaWdkElemeBillGetOrderDetailFee) SetColdBoxFee(v string) *AlibabaWdkElemeBillGetOrderDetailFee {
    s.ColdBoxFee = &v
    return s
}
func (s *AlibabaWdkElemeBillGetOrderDetailFee) SetUserFee(v string) *AlibabaWdkElemeBillGetOrderDetailFee {
    s.UserFee = &v
    return s
}
func (s *AlibabaWdkElemeBillGetOrderDetailFee) SetCommission(v string) *AlibabaWdkElemeBillGetOrderDetailFee {
    s.Commission = &v
    return s
}
func (s *AlibabaWdkElemeBillGetOrderDetailFee) SetAgentRate(v string) *AlibabaWdkElemeBillGetOrderDetailFee {
    s.AgentRate = &v
    return s
}
func (s *AlibabaWdkElemeBillGetOrderDetailFee) SetPlatformRate(v string) *AlibabaWdkElemeBillGetOrderDetailFee {
    s.PlatformRate = &v
    return s
}
func (s *AlibabaWdkElemeBillGetOrderDetailFee) SetShopRate(v string) *AlibabaWdkElemeBillGetOrderDetailFee {
    s.ShopRate = &v
    return s
}
func (s *AlibabaWdkElemeBillGetOrderDetailFee) SetSendFee(v string) *AlibabaWdkElemeBillGetOrderDetailFee {
    s.SendFee = &v
    return s
}
func (s *AlibabaWdkElemeBillGetOrderDetailFee) SetPackageFee(v string) *AlibabaWdkElemeBillGetOrderDetailFee {
    s.PackageFee = &v
    return s
}
func (s *AlibabaWdkElemeBillGetOrderDetailFee) SetProductFee(v string) *AlibabaWdkElemeBillGetOrderDetailFee {
    s.ProductFee = &v
    return s
}
